Skip to main content
GET
/
companies
/
search
Search company name
curl --request GET \
  --url https://app.tryspecter.com/api/v1/companies/search \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/companies/search"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "5e3a8f19040ca7b0c6f03082",
    "name": "Rippling",
    "hq": {
      "city": "London",
      "state": "England",
      "country": "United Kingdom",
      "region": "Europe",
      "continent": "Europe",
      "regions": [
        "London Metropolitan Area",
        "EMEA"
      ]
    },
    "match_confidence": 0.8,
    "domain": "rippling.com",
    "tagline": "Workforce management that unifies HR, IT, and finance.",
    "founded_year": 2016
  }
]
{
"errorCode": "VALIDATION_ERROR",
"message": "Field required (query.query)"
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

query
string
required

The search query — typically a company name.

Response

The list of basic company information

id
string
required

The Specter company ID; use it with the other company endpoints.

Example:

"5e3a8f19040ca7b0c6f03082"

name
string
required

The company's main public name.

Example:

"Rippling"

hq
HQ · object
required

The company's HQ location.

match_confidence
number
required

How closely the company matches the query, from 0 to 1. Relative to the other results in this response; not comparable across searches.

Example:

0.8

domain
string

The domain of the website, can have a sub-domain.

Example:

"rippling.com"

tagline
string

A concise description of what the company does.

Example:

"Workforce management that unifies HR, IT, and finance."

founded_year
number | null

The year the company was founded.

Example:

2016